CVE-2021-44961

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2021-44961
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2021-44961.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2021-44961
Published
2022-03-01T02:15:07Z
Modified
2024-06-30T13:12:48.212292Z
Severity
  • 5.5 (Medium) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

A memory leakage flaw exists in the class PerimeterGenerator of Slic3r libslic3r 1.3.0 and Master Commit b1a5500. Specially crafted stl files can exhaust available memory. An attacker can provide malicious files to trigger this vulnerability.

References

Affected packages

Debian:11 / slic3r

Package

Name
slic3r
Purl
pkg:deb/debian/slic3r?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

1.*

1.3.0+dfsg1-5

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / slic3r

Package

Name
slic3r
Purl
pkg:deb/debian/slic3r?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

1.*

1.3.0+dfsg1-5

Ecosystem specific

{
    "urgency": "unimportant"
}